- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::TripletToCSRConverter::TripletEntry Class Reference

Class for one triplet position entry. More...

List of all members.

## Public Member Functions
void | Set (Index i_row, Index j_col, Index i_pos_triplet)
| Set the values of an entry.
bool | operator< (const TripletEntry &Tentry) const
| Comparison operator.
Constructor/Destructor
| TripletEntry ()
| Constructor.
| ~TripletEntry ()
| Destructor.
| TripletEntry (const TripletEntry &rhs)
| Copy constructor, required for std::list.
TripletEntry & | operator= (const TripletEntry &rhs)
| Equals Operator, required for std::list.
Accessor methods.
Index | IRow () const
| Row position.
Index | JCol () const
| Column position.
Index | PosTriplet () const
| Index in original triplet matrix.
## Private Attributes
Entry content.
Index | i_row_
Index | j_col_
Index | i_pos_triplet_

## Detailed Description

Class for one triplet position entry.

Definition at line 26 of file IpTripletToCSRConverter.hpp.

## Constructor & Destructor Documentation

Ipopt::TripletToCSRConverter::TripletEntry::TripletEntry | ( |  | ) | `[inline]`

Constructor.

Definition at line 32 of file IpTripletToCSRConverter.hpp.

Ipopt::TripletToCSRConverter::TripletEntry::~TripletEntry | ( |  | ) | `[inline]`

Destructor.

Definition at line 36 of file IpTripletToCSRConverter.hpp.

Ipopt::TripletToCSRConverter::TripletEntry::TripletEntry | ( | const TripletEntry & | rhs | ) | `[inline]`

Copy constructor, required for std::list.

Definition at line 40 of file IpTripletToCSRConverter.hpp.

References i_pos_triplet_, i_row_, and j_col_.

## Member Function Documentation

TripletEntry& Ipopt::TripletToCSRConverter::TripletEntry::operator= | ( | const TripletEntry & | rhs | ) | `[inline]`

Equals Operator, required for std::list.

Definition at line 48 of file IpTripletToCSRConverter.hpp.

References i_pos_triplet_, i_row_, and j_col_.

void Ipopt::TripletToCSRConverter::TripletEntry::Set | ( | Index | i_row,
|  | Index | j_col,
|  | Index | i_pos_triplet |
| ) |  |  | `[inline]`

Set the values of an entry.

Definition at line 60 of file IpTripletToCSRConverter.hpp.

References i_pos_triplet_, i_row_, and j_col_.

Index Ipopt::TripletToCSRConverter::TripletEntry::IRow | ( |  | ) | const`[inline]`

Row position.

Definition at line 76 of file IpTripletToCSRConverter.hpp.

References i_row_.

Index Ipopt::TripletToCSRConverter::TripletEntry::JCol | ( |  | ) | const`[inline]`

Column position.

Definition at line 81 of file IpTripletToCSRConverter.hpp.

References j_col_.

Index Ipopt::TripletToCSRConverter::TripletEntry::PosTriplet | ( |  | ) | const`[inline]`

Index in original triplet matrix.

Definition at line 86 of file IpTripletToCSRConverter.hpp.

References i_pos_triplet_.

bool Ipopt::TripletToCSRConverter::TripletEntry::operator< | ( | const TripletEntry & | Tentry | ) | const`[inline]`

Comparison operator.

This is required for the sort function.

Definition at line 93 of file IpTripletToCSRConverter.hpp.

References i_row_, and j_col_.

## Member Data Documentation

Index Ipopt::TripletToCSRConverter::TripletEntry::i_row_`[private]`

Definition at line 119 of file IpTripletToCSRConverter.hpp.

Referenced by IRow(), operator<(), operator=(), Set(), and TripletEntry().

Index Ipopt::TripletToCSRConverter::TripletEntry::j_col_`[private]`

Definition at line 120 of file IpTripletToCSRConverter.hpp.

Referenced by JCol(), operator<(), operator=(), Set(), and TripletEntry().

Index Ipopt::TripletToCSRConverter::TripletEntry::i_pos_triplet_`[private]`

Definition at line 121 of file IpTripletToCSRConverter.hpp.

Referenced by operator=(), PosTriplet(), Set(), and TripletEntry().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/LinearSolvers/IpTripletToCSRConverter.hpp